security reasons for 3.0 to 3.10 ?

Discussion in 'ProcessGuard' started by azumi21, Dec 11, 2004.

Thread Status:
Not open for further replies.
  1. azumi21

    azumi21 Registered Member

    Joined:
    Aug 16, 2004
    Posts:
    129
    hello all,

    question about PG 3.10:

    i bought PG 3.0 and i love it.
    i have no problems works flawless with everything.
    is there any *real security reasons* to uninstall it and put on 3.10?
    or does it just fix some minor bugs, compatibility, gui etc?
    i read the 3.10 release and it's not clear on the security issues
    (that is all i care about).

    thanks in advance
     
  2. nick s

    nick s Registered Member

    Joined:
    Nov 20, 2002
    Posts:
    1,430
  3. Paranoid2000

    Paranoid2000 Registered Member

    Joined:
    May 2, 2004
    Posts:
    2,839
    Location:
    North West, United Kingdom
    The main "security" reason to upgrade is that PG3.05 tightens up on driver/service installations via services.exe. Many programs use services.exe in this way and with PG3, there was no way to control which programs could use it. PG3.05 requires the "Allow Driver/Service" flag on programs that use services.exe as well as those that install directly.
     
Thread Status:
Not open for further replies.